package Source::Repository::Mass::Settings::OriginImport;

use strict;
use warnings;

use RPM::Vercmp;
use Source::Package::Comparators::Raw 0.006;
use Source::Repository::Mass::Settings::OriginRPMNoEpoch;

$Source::Repository::Mass::release_comparator=\&altimport_release_comparator;

our $VERSION=0.001;
our $verbose=0;

#Binary "cmp" returns -1, 0, or 1 depending on whether the left argument
#is stringwise less than, equal to, or greater than the right argument.
sub altimport_release_comparator {
    my ($origin, $dest) =@_;
    my $originrelease=&Source::Package::Comparators::Raw::import_trim_release($origin->release);
    my $destrelease=$dest->release;

    if ($destrelease=~/^alt([^_]+)_(.+)$/) {
	my $destextrel=$2;
	my $cmp=RPM::Vercmp::evrcmp($originrelease,$destextrel);
	print STDERR "ALTLinuxImport relcmp: $originrelease rpmcmp $destextrel = $cmp\n" if $verbose>2;
	return $cmp;
    } else {
	warn "WARNING: non-robotic dest release $destrelease in ".$dest->name.'-'.$dest->version;
    }
    return 1;
}

1;

__END__
